> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Lists the current spot prices, one item for each SKU. Authentication is not required.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /billing/v1alpha1/spot-price
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.DevlabService
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.applications.v1alpha1.VmAppTemplateService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1.PricingPolicyService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.billing.v1alpha1.SpotPriceService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.InventoryService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /billing/v1alpha1/spot-price:
    get:
      tags:
        - nebius.billing.v1alpha1.SpotPriceService
      summary: List
      description: >-
        Lists the current spot prices, one item for each SKU. Authentication is
        not required.
      operationId: SpotPriceService_List
      parameters:
        - description: 'Maximum number of items in the response. Default: 100.'
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: Token from next_page_token of the previous response.
          in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/nebius.billing.v1alpha1.ListSpotPricesResponse
          description: A successful response.
      security:
        - {}
components:
  schemas:
    nebius.billing.v1alpha1.ListSpotPricesResponse:
      properties:
        items:
          description: Current spot prices, sorted by region and sku_id.
          items:
            $ref: '#/components/schemas/nebius.billing.v1alpha1.SpotPrice'
          type: array
        nextPageToken:
          description: Token for the next page. Empty on the last page.
          type: string
        snapshotTime:
          description: >-
            Time when the prices in the response were taken.

            If the prices were taken at different times, the field has the
            earliest time.
          format: date-time
          type: string
      type: object
    nebius.billing.v1alpha1.SpotPrice:
      description: Spot market price of one GPU on a compute platform in a region.
      properties:
        computeInstance:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.billing.v1alpha1.SpotPriceComputeInstance
          description: Compute instance that the price applies to.
        effectiveTime:
          description: Time when the price takes effect.
          format: date-time
          type: string
        price:
          allOf:
            - $ref: '#/components/schemas/nebius.billing.v1alpha1.SpotPriceValue'
          description: Price for one unit.
        productTitle:
          description: 'Product title. Example: "Preemptible NVIDIA® B200 NVLink".'
          type: string
        region:
          description: 'Region name. Example: "eu-north1".'
          type: string
        skuId:
          description: 'SKU ID. Example: "sku-e00n3z6y6hl94aqgig8ft".'
          type: string
      type: object
    nebius.billing.v1alpha1.SpotPriceComputeInstance:
      description: Compute instance of a spot market.
      properties:
        platform:
          description: 'Compute platform. Example: "gpu-b200-sxm".'
          type: string
      type: object
    nebius.billing.v1alpha1.SpotPriceValue:
      description: Price for one unit.
      properties:
        currency:
          description: 'Currency code. Example: "usd".'
          type: string
        unitTitle:
          description: 'Unit title. Example: "GPU hour".'
          type: string
        value:
          description: 'Decimal string. Example: "2.89".'
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````